petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscNewLog

Allocates memory of a type matching pointer, zeros the memory! Aligned to PETSC_MEMALIGN. Associates the memory allocated with the given object using PetscLogObjectMemory().

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscNewLog(PetscObject obj,type **result)

Not Collective

### Input Parameter

obj -object memory is logged to

### Output Parameter

result -memory allocated, sized to match pointer type

### See Also

PetscFree(), PetscMalloc(), PetscNew(), PetscLogObjectMemory()

Level:developer
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages